package com.yuchen.saas.park.api.vo.property;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName SaasParkPropertyHandHouseMeterProbablyVO
 * @Description TODO
 * @Author mqs
 * @Date 2024/9/30 17:39
 * @Version 1.0
 */
public class SaasParkPropertyHandHouseMeterProbablyVO {

    /**
     * 项目id
     */
    @ApiModelProperty(name = "parkId", value = "项目id")
    private Long parkId;
    /**
     * 楼栋id
     */
    @ApiModelProperty(name = "buildingId", value = "楼栋id")
    private Long buildingId;
    /**
     * 本月抄表进度
     */
    @ApiModelProperty(name = "currentMonthProgress", value = "本月抄表进度")
    private BigDecimal currentMonthProgress;
    /**
     * 仪表总数
     */
    @ApiModelProperty(name = "meterCountNum", value = "仪表总数")
    private Integer meterCountNum;

    /**
     * 已抄表
     */
    @ApiModelProperty(name = "meterReadNum", value = "已抄表")
    private Integer meterReadNum;
    /**
     * 未抄表
     */
    @ApiModelProperty(name = "meterNoReadNum", value = "未抄表")
    private Integer meterNoReadNum;

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public BigDecimal getCurrentMonthProgress() {
        return currentMonthProgress;
    }

    public void setCurrentMonthProgress(BigDecimal currentMonthProgress) {
        this.currentMonthProgress = currentMonthProgress;
    }

    public Integer getMeterCountNum() {
        return meterCountNum;
    }

    public void setMeterCountNum(Integer meterCountNum) {
        this.meterCountNum = meterCountNum;
    }

    public Integer getMeterReadNum() {
        return meterReadNum;
    }

    public void setMeterReadNum(Integer meterReadNum) {
        this.meterReadNum = meterReadNum;
    }

    public Integer getMeterNoReadNum() {
        return meterNoReadNum;
    }

    public void setMeterNoReadNum(Integer meterNoReadNum) {
        this.meterNoReadNum = meterNoReadNum;
    }
}
